#include "gttypes.h"

static char *str=NULL;

/************************************************************************\
*
* Replacement for the 'strtok' function.
*
\************************************************************************/
char *strtok(char *s,const char *delim)
{
	int n;
	char *tmp,*res;
	
	if(!s && !str)
		return(NULL);
	if(s)
		str = s;
	tmp = str;
	while(*tmp)
	{
		if(delim)
		{
			for(n = 0; delim[n]; n++)
			{
				if(*tmp == delim[n])
					break;
			}
			if(delim[n])
				break;
		}
		tmp++;
	}
	res = str;
	if(*tmp)
		str = tmp+1;
	else
		str = NULL;
	*tmp = '\0';
	return(res);
}
